/* Copyright (c) 2004 Marijn Haverbeke
 *
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any
 * damages arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any
 * purpose, including commercial applications, and to alter it and
 * redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must
 *    not claim that you wrote the original software. If you use this
 *    software in a product, an acknowledgment in the product
 *    documentation would be appreciated but is not required.
 *
 * 2. Altered source versions must be plainly marked as such, and must
 *    not be misrepresented as being the original software.
 *
 * 3. This notice may not be removed or altered from any source
 *    distribution.
 *
 * Marijn Haverbeke
 * marijn(at)haverbeke.nl
 */

#ifndef IDS_HPP
#define IDS_HPP

// The id's for the wxWindows object in the program. Putting them all
// together in a header file was probably not brilliant since it
// causes a more or less complete recompile every time I add an id.
// Still, it is very organized (and the project was small,
// fortunately).
enum Object_ID{
  id_main = 1,
  id_canvas,
  id_size_dialog,

  id_size_list,
  id_size_caption,
  id_size_ok,
  id_size_cancel,
  
  id_menu_new,
  id_menu_close,
  id_menu_quit,
  id_menu_background_default,
  id_menu_background_color,
  id_menu_background_image,
  id_menu_help,
  id_menu_about,
  id_menu_license
};

#endif //IDS_HPP
