/* Copyright (c) 2004 Marijn Haverbeke
 *
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any
 * damages arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any
 * purpose, including commercial applications, and to alter it and
 * redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must
 *    not claim that you wrote the original software. If you use this
 *    software in a product, an acknowledgment in the product
 *    documentation would be appreciated but is not required.
 *
 * 2. Altered source versions must be plainly marked as such, and must
 *    not be misrepresented as being the original software.
 *
 * 3. This notice may not be removed or altered from any source
 *    distribution.
 *
 * Marijn Haverbeke
 * marijn(at)haverbeke.nl
 */

#ifndef MAIN_HPP
#define MAIN_HPP

#include <wx/wx.h>

// Every wx application needs a wxApp it seems
class Jigsaw_App: public wxApp
{
public:
  virtual bool OnInit();
};

class Canvas;
class Jigsaw;

// Main application frame, handles the menus and contains a canvas.
class Main_Frame: public wxFrame
{
public:
  Main_Frame();
  ~Main_Frame();

  void New_Game(wxCommandEvent& event);
  void Close_Game(wxCommandEvent& event);
  void Quit(wxCommandEvent& event);

  void Set_Default_Background(wxCommandEvent& event);
  void Set_Background_Color(wxCommandEvent& event);
  void Set_Background_Image(wxCommandEvent& event);

  void About(wxCommandEvent& event);
  void Help(wxCommandEvent& event);
  void License(wxCommandEvent& event);

private:
  wxPoint Select_Puzzle_Size(int image_width, int image_height);
  
  Canvas* _canvas;
  Jigsaw* _game;
  
  DECLARE_EVENT_TABLE();
};

#endif //MAIN_HPP
