/* Copyright (c) 2004 Marijn Haverbeke
 *
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any
 * damages arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any
 * purpose, including commercial applications, and to alter it and
 * redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must
 *    not claim that you wrote the original software. If you use this
 *    software in a product, an acknowledgment in the product
 *    documentation would be appreciated but is not required.
 *
 * 2. Altered source versions must be plainly marked as such, and must
 *    not be misrepresented as being the original software.
 *
 * 3. This notice may not be removed or altered from any source
 *    distribution.
 *
 * Marijn Haverbeke
 * marijn(at)haverbeke.nl
 */

#ifndef SIZE_DIALOG_HPP
#define SIZE_DIALOG_HPP

#include <wx/wx.h>

// Used to query the user for a puzzle size
class Size_Dialog: public wxDialog
{
public:
  Size_Dialog(float size_ratio);

  void Ok(wxCommandEvent& event);
  void Cancel(wxCommandEvent& event);

private:
  wxListBox* _list_box;

  DECLARE_EVENT_TABLE();
};

// Compute the height belonging to a width
inline int Compute_Height(int width, float ratio)
{
  return static_cast<int>(ratio * width + .5);
}

#endif //SIZE_DIALOG_HPP
